## kshutdown 2.0~beta4

=== CMakeLists.txt ===

# DOC: http://qtnode.net/wiki/Qt_with_cmake

project(kshutdown)

cmake_minimum_required(VERSION 2.4.0)

find_package(KDE4 REQUIRED)

# find KWorkspace package
find_path(
	KWORKSPACE_INCLUDE_DIR NAMES kworkspace/kworkspace.h
	PATHS ${KDE4_INCLUDES}
)
find_library(
	KWORKSPACE_LIBS NAMES kworkspace
	PATHS ${KDE4_LIB_DIR}
)

# FIXME: ?
include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(KWorkspace DEFAULT_MSG KWORKSPACE_LIBS KWORKSPACE_INCLUDE_DIR)

if (NOT KWORKSPACE_FOUND)
	message(FATAL_ERROR "KDE Workspace headers not found. Try to install \"kdebase-workspace-dev\" package.")
endif (NOT KWORKSPACE_FOUND)

add_definitions(${KDE4_DEFINITIONS})

include_directories(${KDE4_INCLUDES})
link_directories(${KDE4_LIB_DIR})

add_subdirectory(po)
add_subdirectory(src)

## kshutdown 2.0beta9

=== src/CMakeLists.txt ===

# DOC: http://qtnode.net/wiki/Qt_with_cmake

set(
	kshutdown_SRC
	actions/extras.cpp
	actions/lock.cpp
	triggers/idlemonitor.cpp
	triggers/processmonitor.cpp
	commandline.cpp
	config.cpp
	infowidget.cpp
	kshutdown.cpp
	main.cpp
	mainwindow.cpp
	preferences.cpp
	progressbar.cpp
	utils.cpp
)

set(
	kshutdown_MOC_HEADERS
	actions/extras.h
	triggers/idlemonitor.h
	triggers/processmonitor.h
	kshutdown.h
	mainwindow.h
	preferences.h
	progressbar.h
)
qt4_wrap_cpp(kshutdown_MOC_SOURCES ${kshutdown_MOC_HEADERS})

add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(kshutdown ${QT_LIBRARIES} kdeui kio kworkspace ${KDE4_KNOTIFYCONFIG_LIBS})

install(
	PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"
	DESTINATION bin
)
install(FILES kshutdown.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kshutdown.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kshutdown)

add_subdirectory(actions)
add_subdirectory(images)
add_subdirectory(triggers)

=== debian/changelog ===
kshutdown (2.0beta9-2) unstable; urgency=low

  * Added cmake to build-depends (Closes: #581284)

 -- Eike Sauer <eike@debian.org>  Wed, 12 May 2010 19:15:00 +0100

kshutdown (2.0beta9-1) unstable; urgency=low

  * New upstream release.
  * Changed versioning number so we don't accidentally get 
    a native Debian package
  * Included Portuguese translation patch, thanks to Américo Monteiro 
    (Closes: #568311)
  * Updated standard version to 3.8.4. No changes needed.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Eike Sauer <eike@debian.org>  Wed, 31 Mar 2010 20:06:12 +0200

kshutdown (2.0~beta8-1) unstable; urgency=low

  * New upstream release.
  * Updated standard version to 3.8.3

 -- Eike Sauer <eike@debian.org>  Thu, 29 Sep 2009 21:00:00 +0200

kshutdown (2.0~beta6-4) unstable; urgency=low

  * Rebuilt against KDE 4.3 (Closes: #540148)

 -- Eike Sauer <eike@debian.org>  Thu, 06 Aug 2009 18:00:00 +0200

kshutdown (2.0~beta6-3) unstable; urgency=low

  * Use correct kde cdbs class, thanks to Sune Vuorela.
  Closes: #530725 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 27 May 2009 21:03:57 +1100

kshutdown (2.0~beta6-2) unstable; urgency=low

  * Removed chrpath usage: apparently it is not
    needed anymore.
  * Merge changes from ubuntu:
    - Transition from kde4.mk to pkg-kde-tools:
      - debian/rules: Use:
        '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
      - debian/control: Build-Depend on 'pkg-kde-tools'
    - chrpath, cmake not need in build-deps 
  * Upload with a .orig tarball, fixing mistake in previous upload.
  * Cleaned debian/rules.
  * Added back debian/control.in

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 27 May 2009 10:06:21 +1100

kshutdown (2.0~beta6-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash when choosing "When selected application exits"
  * First upload to unstable of version 2

 -- Eike Sauer <eike@debian.org>  Sun, 26 Apr 2009 13:00:00 +0100
 

kshutdown (2.0~beta5-1) experimental; urgency=low

  [ Eike Sauer ]
  * First KDE 4 release (Closes: #523616)

  [ Romain Beauxis ]
  * Prepared upload. 
  * Updated debian/copyright.
  * Added Eike Sauer <eike@debian.org> to the uploaders.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 11 Apr 2009 20:42:56 +0200

kshutdown (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Updated standard version to 3.8.1 
  * Dropped patch fixing deprecated desktop entries (fixed upstream). 
  * Bumped compat level to 7.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 Mar 2009 13:36:48 +0100

kshutdown (1.0.3-1) unstable; urgency=low

  * New upstream release 
  * Refreshed patch
  * Updated standard version to 3.8.0

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 20 Jun 2008 02:33:51 +0200

kshutdown (1.0.2-1) unstable; urgency=low

  * New upstream release 
  * Updated standard version to 3.7.3 (no changes)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Dec 2007 01:38:55 +0100

kshutdown (1.0.1-2) unstable; urgency=low

  * Added linker flags to remove non-needed link dependencies.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 21 Nov 2007 09:51:59 +0100

kshutdown (1.0.1-1) unstable; urgency=low

  * New upstream release 
  * Fixed watch file (thanks to Raphael Geissert)
    Closes: #449772

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 18 Nov 2007 14:39:07 +0100

kshutdown (1.0-1) unstable; urgency=low

  * New upstream release. 
  * Fix for FTBFS with GCC 4.3 applied upstream
  Closes: #417301

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 Apr 2007 13:41:01 +0200

kshutdown (0.9.1~beta-1) experimental; urgency=low

  * First upload of the next release to experimental.
  * Updated debian standards
  * Added workaround for buggy rpath setting
  * Switched to cdbs' kde class

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 21 Feb 2007 02:10:26 +0100

kshutdown (0.8.2-1) unstable; urgency=low

  * New upstream release 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 Feb 2006 03:08:46 +0100

kshutdown (0.8-1) unstable; urgency=low

  * New upstream release
  * Added swedish translation (Closes: #337551)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 29 Nov 2005 02:30:38 +0100

kshutdown (0.6.0-4) unstable; urgency=low

  * Workaround for FTBFS on some arch (see gcc Bug#323133) 

 -- Romain Beauxis <toots@rastageeks.org>  Mon,  5 Sep 2005 19:54:24 +0200

kshutdown (0.6.0-3) unstable; urgency=low

  * New upload to rebuild against new KDE and C++ libraries. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon,  5 Sep 2005 11:00:11 +0200

kshutdown (0.6.0-2) unstable; urgency=low

  * Minor Debian fixes. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 May 2005 11:35:55 +0200

kshutdown (0.6.0-1) unstable; urgency=low

  * Initial Release. (closes: #305843)

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 14 Apr 2005 02:05:09 +0200

=== debian/control ===
Source: kshutdown
Section: kde
Priority: optional
Maintainer: Romain Beauxis <toots@rastageeks.org>
Uploaders: Eike Sauer <eike@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 7.0.1), 
               cmake, 
               kdelibs5-dev, kdebase-workspace-dev, 
               pkg-kde-tools 
Standards-Version: 3.8.4
Homepage: http://kshutdown.sourceforge.net/

Package: kshutdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an advanced shut down utility for KDE
 It has 4 main commands:
 .
  - Shut Down (logout and halt the system),
  - Reboot (logout and reboot the system),
  - Lock Screen (lock the screen using a screen saver),
  - Logout (end the session and logout the user).
 .
 It features time and delay options, command line support, wizard,
 and sounds.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_INSTALL_MANPAGES_kshutdown := debian/kshutdown.1

binary-install/kshutdown::
	# Remove empty directories
	find $(CURDIR)/debian/kshutdown -type d -empty -delete

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://sf.net/kshutdown/kshutdown-source-(.*).zip

## kshutdown 2.0beta11

=== debian/changelog ===
kshutdown (2.0beta11-1) unstable; urgency=low

  * New upstream release.
  * Updated standard version to 3.9.1. No changes needed.

 -- Eike Sauer <eike@debian.org>  Wed, 12 Sep 2010 15:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake, 
                kdelibs5-dev, kdebase-workspace-dev, 
                pkg-kde-tools 
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://kshutdown.sourceforge.net/
 
 Package: kshutdown

## kshutdown 2.0final

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	kshutdown_SRC
 	actions/extras.cpp
 	actions/lock.cpp
+	actions/test.cpp
 	triggers/idlemonitor.cpp
 	triggers/processmonitor.cpp
 	commandline.cpp

=== debian/changelog ===
kshutdown (2.0final-1) unstable; urgency=low

  * New upstream release.
  * Adapted kfreebsd/hurd patch according to upstream comments
  * Repaired watch file
  * Updated standard version to 3.9.2. No changes needed.
  * Putting myself into maintainer field

 -- Eike Sauer <eike@debian.org>  Wed, 8 May 2011 15:30:00 +0100

kshutdown (2.0beta12-4) unstable; urgency=low

  * Many thanks to Pino Toscano who fixed the build problem
    and also functionality for kfreebsd and hurd. 
    (Closes: #623333, 623323)

 -- Eike Sauer <eike@debian.org>  Wed, 19 Apr 2011 20:11:00 +0100

kshutdown (2.0beta12-3) unstable; urgency=low

  * Next attempt to fix build for kfreebsd (and probably hurd).

 -- Eike Sauer <eike@debian.org>  Wed, 18 Apr 2011 20:43:00 +0100

kshutdown (2.0beta12-2) unstable; urgency=low

  * Fixed build failure for kfreebsd.

 -- Eike Sauer <eike@debian.org>  Wed, 17 Apr 2011 15:00:00 +0100

kshutdown (2.0beta12-1) unstable; urgency=low

  * New upstream release.

 -- Eike Sauer <eike@debian.org>  Wed, 16 Apr 2011 17:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: kshutdown
 Section: kde
 Priority: optional
-Maintainer: Romain Beauxis <toots@rastageeks.org>
-Uploaders: Eike Sauer <eike@debian.org>
+Maintainer: Eike Sauer <eike@debian.org>
+Uploaders: Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 7.0.1), 
                cmake, 
                kdelibs5-dev, kdebase-workspace-dev, 
                pkg-kde-tools 
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kshutdown.sourceforge.net/
 
 Package: kshutdown
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: an advanced shut down utility for KDE
+Description: advanced shut down utility for KDE
  It has 4 main commands:
  .
   - Shut Down (logout and halt the system),

=== debian/watch ===
--- 
+++ 
@@ -6,6 +6,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-# Uncomment to examine a Webserver directory
-http://sf.net/kshutdown/kshutdown-source-(.*).zip
-
+http://sf.net/kshutdown/kshutdown-source-(.\..).zip debian uupdate

## kshutdown 3.0~beta4

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,14 +8,17 @@
 	actions/test.cpp
 	triggers/idlemonitor.cpp
 	triggers/processmonitor.cpp
+	bookmarks.cpp
 	commandline.cpp
 	config.cpp
 	infowidget.cpp
 	kshutdown.cpp
 	main.cpp
 	mainwindow.cpp
+	password.cpp
 	preferences.cpp
 	progressbar.cpp
+	udialog.cpp
 	utils.cpp
 )
 
@@ -24,10 +27,13 @@
 	actions/extras.h
 	triggers/idlemonitor.h
 	triggers/processmonitor.h
+	bookmarks.h
 	kshutdown.h
 	mainwindow.h
+	password.h
 	preferences.h
 	progressbar.h
+	udialog.h
 )
 qt4_wrap_cpp(kshutdown_MOC_SOURCES ${kshutdown_MOC_HEADERS})

=== src/actions/extras/CMakeLists.txt ===
file(GLOB desktop "*.desktop")
install(FILES ${desktop} DESTINATION ${DATA_INSTALL_DIR}/kshutdown/extras)

add_subdirectory(multimedia)
add_subdirectory(system)

=== debian/changelog ===
kshutdown (3.0~beta4-1) unstable; urgency=low

  * New upstream release
    - KDE 4.8 fix in new release (closes: #677628)
    - Our patches have been adopted by upstream
  * Let's get out of KDE transition's way 
    before changing anything else. :o)

 -- Eike Sauer <eike@debian.org>  Mon, 18 Jun 2012 20:16:54 +0200

kshutdown (2.0final-3) unstable; urgency=low

  * Minor lintian issues (licence symlink, binary in package, 
    dh_make template to be removed from watch file)
  * Specified packaging licence in agreement with Romain

 -- Eike Sauer <eike@debian.org>  Tue, 15 Oct 2011 18:00:00 +0200

kshutdown (2.0final-2) unstable; urgency=low

  * Removed "debian" patch (closes: #643176)

 -- Eike Sauer <eike@debian.org>  Tue, 27 Sep 2011 20:00:00 +0200

## kshutdown 3.0~beta5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	preferences.cpp
 	progressbar.cpp
 	udialog.cpp
+	usystemtray.cpp
 	utils.cpp
 )
 
@@ -34,6 +35,7 @@
 	preferences.h
 	progressbar.h
 	udialog.h
+	usystemtray.h
 )
 qt4_wrap_cpp(kshutdown_MOC_SOURCES ${kshutdown_MOC_HEADERS})

=== debian/changelog ===
kshutdown (3.0~beta5-2) unstable; urgency=low

  * added missing ifdef for the case there's no dbus support

 -- Eike Sauer <eike@debian.org>  Mon, 26 Jan 2013 14:13:00 +0100

kshutdown (3.0~beta5-1) unstable; urgency=low

  * New upstream release
  * New build dependency needed: pkg-kde-tools
  * Updated standard version to 3.9.3. No changes needed.

 -- Eike Sauer <eike@debian.org>  Mon, 26 Jan 2013 12:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 7.0.1), 
                cmake, 
-               kdelibs5-dev, kdebase-workspace-dev, 
+               kdelibs5-dev, kdebase-workspace-dev, pkg-kde-tools, 
                pkg-kde-tools 
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kshutdown.sourceforge.net/
 
 Package: kshutdown

## kshutdown 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	PATHS ${KDE4_LIB_DIR}
 )
 
-# FIXME: ?
 include(FindPackageHandleStandardArgs)
 find_package_handle_standard_args(KWorkspace DEFAULT_MSG KWORKSPACE_LIBS KWORKSPACE_INCLUDE_DIR)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	triggers/idlemonitor.h
 	triggers/processmonitor.h
 	bookmarks.h
+	infowidget.h
 	kshutdown.h
 	mainwindow.h
 	password.h
@@ -42,7 +43,7 @@
 add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES})
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
-target_link_libraries(kshutdown ${QT_LIBRARIES} kdeui kio kworkspace ${KDE4_KNOTIFYCONFIG_LIBS})
+target_link_libraries(kshutdown ${QT_LIBRARIES} kdeui kio kworkspace ${KDE4_KNOTIFYCONFIG_LIBS} ${KDE4_KUTILS_LIBS})
 
 install(
 	PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"

=== src/actions/CMakeLists.txt ===
add_subdirectory(extras)

=== src/actions/extras/CMakeLists.txt ===
#file(GLOB desktop "*.desktop")
#install(FILES ${desktop} DESTINATION ${DATA_INSTALL_DIR}/kshutdown/extras)

add_subdirectory(multimedia)
add_subdirectory(system)

=== debian/changelog ===
kshutdown (3.0-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1205916) Remaining changes:
    - debian/control: Add consolekit dependency.

 -- Artur Rona <ari-tczew@tlen.pl>  Sun, 28 Jul 2013 23:03:24 +0200

kshutdown (3.0-1) unstable; urgency=low

  * New upstream release
  * Let's have some keyword ('diff') in the .desktop file

 -- Eike Sauer <eike@debian.org>  Tue, 09 Jul 2013 21:44:48 +0200

kshutdown (3.0~beta8-1) unstable; urgency=low

  * New upstream release
  * Finally got rid of lintian warning 'hardening-no-relro'

 -- Eike Sauer <eike@debian.org>  Mon, 25 May 2013 21:00:00 +0200

kshutdown (3.0~beta6-1ubuntu1) saucy; urgency=low

  * debian/control: Add consolekit dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Apr 2013 15:17:01 -0700

kshutdown (3.0~beta6-1) unstable; urgency=low

  * New upstream release
  * Many thanks to upstream who cared about the BSD FTBS (closes: #699836)
  * Updated standard version to 3.9.4. No changes needed.

 -- Eike Sauer <eike@debian.org>  Mon, 03 Mar 2013 11:50:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: kshutdown
 Section: kde
 Priority: optional
-Maintainer: Eike Sauer <eike@debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eike Sauer <eike@debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 7.0.1), 
+               dpkg-dev (>= 1.16.1), 
                cmake, 
-               kdelibs5-dev, kdebase-workspace-dev, pkg-kde-tools, 
-               pkg-kde-tools 
-Standards-Version: 3.9.3
+               kdelibs5-dev, kde-workspace-dev, pkg-kde-tools
+Standards-Version: 3.9.4
 Homepage: http://kshutdown.sourceforge.net/
 
 Package: kshutdown
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, consolekit
 Description: advanced shut down utility for KDE
  It has 4 main commands:
  .

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

## kshutdown 3.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 set(
 	kshutdown_SRC
+	actions/bootentry.cpp
 	actions/extras.cpp
 	actions/lock.cpp
 	actions/test.cpp
@@ -25,6 +26,7 @@
 
 set(
 	kshutdown_MOC_HEADERS
+	actions/bootentry.h
 	actions/extras.h
 	triggers/idlemonitor.h
 	triggers/processmonitor.h
@@ -43,7 +45,7 @@
 add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES})
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
-target_link_libraries(kshutdown ${QT_LIBRARIES} kdeui kio kworkspace ${KDE4_KNOTIFYCONFIG_LIBS} ${KDE4_KUTILS_LIBS})
+target_link_libraries(kshutdown kdecore kdeui kio ${KDE4_KNOTIFYCONFIG_LIBS} ${KDE4_KUTILS_LIBS})
 
 install(
 	PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"

=== debian/changelog ===
kshutdown (3.2-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add consolekit dependency.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 26 Apr 2014 11:31:35 +0200

kshutdown (3.2-1) unstable; urgency=low

  * New upstream release

 -- Eike Sauer <eike@debian.org>  Mon, 24 Feb 2014 11:50:59 +0100

kshutdown (3.0-1kde4.10) experimental; urgency=low

  * Experimental package for KDE 4.10 transition

 -- Eike Sauer <eike@debian.org>  Tue, 10 Jul 2013 21:15:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 7.0.1), 
                dpkg-dev (>= 1.16.1), 
-               cmake, 
-               kdelibs5-dev, kde-workspace-dev, pkg-kde-tools
+               cmake, kdebase-workspace-dev, 
+               kdelibs5-dev, pkg-kde-tools
 Standards-Version: 3.9.4
 Homepage: http://kshutdown.sourceforge.net/

## kshutdown 4.0

=== CMakeLists.txt ===
project(kshutdown)

if(KS_KF5)
	cmake_minimum_required(VERSION 3.0.0)
else()
	cmake_minimum_required(VERSION 2.4.0)
endif()

add_definitions(-std=c++0x -Wextra -Wpedantic -Wswitch-enum)

if(KS_PURE_QT)
	find_package(Qt5 REQUIRED Widgets DBus)
	add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5DBus_DEFINITIONS})
	include_directories(${Qt5Widgets_INCLUDES} ${Qt5DBus_INCLUDES})

	add_definitions(-DKS_PURE_QT)
	set(CMAKE_AUTOMOC_MOC_OPTIONS -DKS_PURE_QT)
elseif(KS_KF5)
	find_package(Qt5 REQUIRED Widgets DBus)

	find_package(ECM REQUIRED NO_MODULE)
	set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

	include(KDEInstallDirs)
	include(KDECompilerSettings)
	include(KDECMakeSettings)
	include(ECMInstallIcons)
	include(ECMSetupVersion)
	include(FeatureSummary)
	find_package(KF5 REQUIRED COMPONENTS Config ConfigWidgets DBusAddons GlobalAccel I18n IdleTime Notifications NotifyConfig XmlGui)

	feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

	add_definitions(-DKS_KF5)
# TODO: need this?
	set(CMAKE_AUTOMOC_MOC_OPTIONS -DKS_KF5)

	add_subdirectory(po)
else()
	set(CMAKE_AUTOMOC TRUE)
	set(CMAKE_AUTOMOC_MOC_OPTIONS -DKS_NATIVE_KDE)

	find_package(KDE4 REQUIRED)
	add_definitions(${KDE4_DEFINITIONS})

	include_directories(${KDE4_INCLUDES})
	link_directories(${KDE4_LIB_DIR})

	add_subdirectory(po)
endif()

add_subdirectory(src)

=== src/CMakeLists.txt ===
set(
	kshutdown_SRC
	actions/bootentry.cpp
	actions/extras.cpp
	actions/lock.cpp
	actions/test.cpp
	triggers/idlemonitor.cpp
	triggers/processmonitor.cpp
	bookmarks.cpp
	commandline.cpp
	config.cpp
	infowidget.cpp
	kshutdown.cpp
	log.cpp
	main.cpp
	mainwindow.cpp
	mod.cpp
	password.cpp
	preferences.cpp
	progressbar.cpp
	stats.cpp
	udialog.cpp
	usystemtray.cpp
	utils.cpp
)

set(
	kshutdown_MOC_HEADERS
	actions/bootentry.h
	actions/extras.h
	triggers/idlemonitor.h
	triggers/processmonitor.h
	bookmarks.h
	infowidget.h
	kshutdown.h
	mainwindow.h
	password.h
	preferences.h
	progressbar.h
	stats.h
	udialog.h
	usystemtray.h
)
if(KS_PURE_QT)
# TODO: add and test automoc
	QT5_WRAP_CPP(kshutdown_MOC_SOURCES ${kshutdown_MOC_HEADERS})
elseif(KS_KF5)
	# automoc
else()
	# automoc
endif()

add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(KS_PURE_QT)
	target_link_libraries(kshutdown ${Qt5Widgets_LIBRARIES} ${Qt5DBus_LIBRARIES})
elseif(KS_KF5)
	target_link_libraries(kshutdown Qt5::DBus Qt5::Widgets KF5::ConfigCore KF5::ConfigWidgets KF5::DBusAddons KF5::GlobalAccel KF5::I18n KF5::IdleTime KF5::Notifications KF5::NotifyConfig KF5::XmlGui)
else()
	target_link_libraries(kshutdown kdecore kdeui kio ${KDE4_KNOTIFYCONFIG_LIBS} ${KDE4_KUTILS_LIBS})
endif()

if(KS_PURE_QT)
	set(DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share)
	set(XDG_APPS_INSTALL_DIR ${DATA_INSTALL_DIR}/applications)

	install(
		PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"
		DESTINATION bin
		RENAME kshutdown-qt
	)
	install(FILES kshutdown-qt.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
elseif(KS_KF5)
	install(
		PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"
		DESTINATION bin
	)
	install(FILES kshutdown.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
	install(FILES kshutdown.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
else()
	install(
		PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"
		DESTINATION bin
	)
	install(FILES kshutdown.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
	install(FILES kshutdown.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kshutdown)
endif()

add_subdirectory(actions)
add_subdirectory(images)
add_subdirectory(triggers)

=== src/images/CMakeLists.txt ===
if(KS_PURE_QT)
# TODO: see src.pro
elseif(KS_KF5)
# FIXME: deprecated
	ecm_install_icons(${ICON_INSTALL_DIR})
else()
	kde4_install_icons(${ICON_INSTALL_DIR})
endif()

=== debian/changelog ===
kshutdown (4.0-1) unstable; urgency=low

  * New upstream release  (Closes: #836901)
  * Removed desktop file patch, which was wrong anyway. :o(
  * Updated translation patch and forwarded it
  * Bumped debhelper version to 9
  * Made copyright file dep5 compatible
  * Updated standard version to 3.9.8. No changes needed.

 -- Eike Sauer <eike@debian.org>  Thu, 01 Sep 2016 20:54:00 +0200

kshutdown (3.2-2) unstable; urgency=low

  * Removed build dependency kdebase-workspace-dev (Closes: #797938)
  * Included new Portuguese translation patch, thanks to Américo Monteiro 
    (Closes: #730740)
  * Updated standard version to 3.9.6. No changes needed.

 -- Eike Sauer <eike@debian.org>  Sat, 05 Sep 2015 09:25:59 +0200

=== debian/control ===
Source: kshutdown
Section: kde
Priority: optional
Maintainer: Eike Sauer <eike@debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 9), 
               dpkg-dev (>= 1.16.1), 
               cmake,
               kdelibs5-dev, pkg-kde-tools
Standards-Version: 3.9.8
Homepage: http://kshutdown.sourceforge.net/

Package: kshutdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced shut down utility for KDE
 It has 4 main commands:
 .
  - Shut Down (logout and halt the system),
  - Reboot (logout and reboot the system),
  - Lock Screen (lock the screen using a screen saver),
  - Logout (end the session and logout the user).
 .
 It features time and delay options, command line support, wizard,
 and sounds.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/kshutdown/kshutdown-source-(.\..).zip debian uupdate

## kshutdown 4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,12 @@
 	cmake_minimum_required(VERSION 2.4.0)
 endif()
 
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+
 add_definitions(-std=c++0x -Wextra -Wpedantic -Wswitch-enum)
 
 if(KS_PURE_QT)
+# TODO: https://cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
 	find_package(Qt5 REQUIRED Widgets DBus)
 	add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5DBus_DEFINITIONS})
 	include_directories(${Qt5Widgets_INCLUDES} ${Qt5DBus_INCLUDES})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
 )
 if(KS_PURE_QT)
 # TODO: add and test automoc
+	QT5_ADD_RESOURCES(qrc_kshutdown.cpp kshutdown.qrc)
 	QT5_WRAP_CPP(kshutdown_MOC_SOURCES ${kshutdown_MOC_HEADERS})
 elseif(KS_KF5)
 	# automoc
@@ -50,10 +51,16 @@
 	# automoc
 endif()
 
-add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES})
+if(KS_PURE_QT)
+	add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES} qrc_kshutdown.cpp)
+else()
+	add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES})
+endif()
+
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 if(KS_PURE_QT)
+	set_target_properties(kshutdown PROPERTIES OUTPUT_NAME kshutdown-qt)
 	target_link_libraries(kshutdown ${Qt5Widgets_LIBRARIES} ${Qt5DBus_LIBRARIES})
 elseif(KS_KF5)
 	target_link_libraries(kshutdown Qt5::DBus Qt5::Widgets KF5::ConfigCore KF5::ConfigWidgets KF5::DBusAddons KF5::GlobalAccel KF5::I18n KF5::IdleTime KF5::Notifications KF5::NotifyConfig KF5::XmlGui)
@@ -66,21 +73,20 @@
 	set(XDG_APPS_INSTALL_DIR ${DATA_INSTALL_DIR}/applications)
 
 	install(
-		PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"
+		TARGETS kshutdown
 		DESTINATION bin
-		RENAME kshutdown-qt
 	)
 	install(FILES kshutdown-qt.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 elseif(KS_KF5)
 	install(
-		PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"
+		TARGETS kshutdown
 		DESTINATION bin
 	)
 	install(FILES kshutdown.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 	install(FILES kshutdown.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
 else()
 	install(
-		PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/kshutdown"
+		TARGETS kshutdown
 		DESTINATION bin
 	)
 	install(FILES kshutdown.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/images/CMakeLists.txt ===
if(KS_PURE_QT)
	install(FILES hi16-app-kshutdown.png DESTINATION /usr/share/icons/hicolor/16x16/apps RENAME kshutdown.png)
	install(FILES hi22-app-kshutdown.png DESTINATION /usr/share/icons/hicolor/22x22/apps RENAME kshutdown.png)
	install(FILES hi32-app-kshutdown.png DESTINATION /usr/share/icons/hicolor/32x32/apps RENAME kshutdown.png)
	install(FILES hi48-app-kshutdown.png DESTINATION /usr/share/icons/hicolor/48x48/apps RENAME kshutdown.png)
	install(FILES hi64-app-kshutdown.png DESTINATION /usr/share/icons/hicolor/64x64/apps RENAME kshutdown.png)
	install(FILES hi128-app-kshutdown.png DESTINATION /usr/share/icons/hicolor/128x128/apps RENAME kshutdown.png)
elseif(KS_KF5)
# FIXME: deprecated
	ecm_install_icons(${ICON_INSTALL_DIR})
else()
	kde4_install_icons(${ICON_INSTALL_DIR})
endif()

=== src/actions/extras/CMakeLists.txt ===
add_subdirectory(multimedia)
add_subdirectory(system)

=== src/actions/extras/system/CMakeLists.txt ===
file(GLOB desktop "*.desktop")
install(FILES .directory ${desktop} DESTINATION ${DATA_INSTALL_DIR}/kshutdown/extras/system)

=== debian/changelog ===
kshutdown (4.2-1) unstable; urgency=low

  * New upstream release
  * Using KDE 5 build (Closes: #874989)
  * Portuguese patch has been accepted upstream

 -- Eike <eike@debian.org>  Sat, 13 Jan 2018 13:32:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Eike Sauer <eike@debian.org>
-Uploaders: Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 9), 
-               dpkg-dev (>= 1.16.1), 
-               cmake,
-               kdelibs5-dev, pkg-kde-tools
+Build-Depends: cmake, debhelper (>=9), extra-cmake-modules, libkf5config-dev, libkf5configwidgets-dev, libkf5plasma-dev, libkf5globalaccel-dev, libkf5idletime-dev, libkf5notifications-dev, libkf5notifyconfig-dev
 Standards-Version: 3.9.8
 Homepage: http://kshutdown.sourceforge.net/

## kshutdown 5.2

=== CMakeLists.txt ===
project(kshutdown)

cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0063 NEW) # disables cmake warning

set(CMAKE_CXX_STANDARD 14) # adds -std=gnu++14 option
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

add_definitions(-Wextra -Wpedantic -Wswitch-enum)

find_package(Qt5 REQUIRED Widgets DBus)

if(KS_PURE_QT)
	add_definitions(-DKS_PURE_QT)

	set(DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share)
	set(ICON_INSTALL_DIR ${DATA_INSTALL_DIR}/icons)
	set(XDG_APPS_INSTALL_DIR ${DATA_INSTALL_DIR}/applications)

# TODO: https://cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
	set(CMAKE_AUTOMOC TRUE)
else()
	add_definitions(-DKS_KF5)

	find_package(ECM REQUIRED NO_MODULE)
	set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

	include(KDEInstallDirs)
	include(KDECompilerSettings)
# TODO: include(KDEFrameworkCompilerSettings) (?)
	include(KDECMakeSettings)

	find_package(KF5 REQUIRED COMPONENTS
		Config
		ConfigWidgets
		Crash
		DBusAddons
		GlobalAccel
		I18n
		IdleTime
		Notifications
		NotifyConfig
		XmlGui
	)

	add_subdirectory(po)
endif()

include(FeatureSummary)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(src)

=== src/CMakeLists.txt ===
set(kshutdown_SRC
	bookmarks.cpp
	commandline.cpp
	config.cpp
	infowidget.cpp
	kshutdown.cpp
	log.cpp
	main.cpp
	mainwindow.cpp
	mod.cpp
	password.cpp
	plugins.cpp
	preferences.cpp
	progressbar.cpp
	udialog.cpp
	usystemtray.cpp
	utils.cpp
	actions/bootentry.cpp
	actions/extras.cpp
	actions/lock.cpp
	actions/test.cpp
	triggers/idlemonitor.cpp
	triggers/processmonitor.cpp
)

if(KS_PURE_QT)
	QT5_ADD_RESOURCES(qrc_kshutdown.cpp kshutdown.qrc)
	add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES} qrc_kshutdown.cpp)
else()
	add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES})
endif()

if(KS_PURE_QT)
	target_link_libraries(kshutdown
		Qt5::DBus
		Qt5::Widgets
	)
else()
	target_link_libraries(kshutdown
		Qt5::DBus
		Qt5::Widgets
		KF5::ConfigCore
		KF5::ConfigWidgets
		KF5::Crash
		KF5::DBusAddons
		KF5::GlobalAccel
		KF5::I18n
		KF5::IdleTime
		KF5::Notifications
		KF5::NotifyConfig
		KF5::XmlGui
	)
endif()

# TODO: create symlink to "kshutdown-qt" for compat. with Qt5 Build (?)
install(TARGETS kshutdown DESTINATION bin)
install(FILES kshutdown.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

if(KS_KF5)
	install(FILES kshutdown.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
endif()

add_subdirectory(actions)
add_subdirectory(images)
add_subdirectory(triggers)

=== src/images/CMakeLists.txt ===
install(FILES hi16-app-kshutdown.png DESTINATION "${ICON_INSTALL_DIR}/hicolor/16x16/apps" RENAME kshutdown.png)
install(FILES hi22-app-kshutdown.png DESTINATION "${ICON_INSTALL_DIR}/hicolor/22x22/apps" RENAME kshutdown.png)
install(FILES hi32-app-kshutdown.png DESTINATION "${ICON_INSTALL_DIR}/hicolor/32x32/apps" RENAME kshutdown.png)
install(FILES hi48-app-kshutdown.png DESTINATION "${ICON_INSTALL_DIR}/hicolor/48x48/apps" RENAME kshutdown.png)
install(FILES hi64-app-kshutdown.png DESTINATION "${ICON_INSTALL_DIR}/hicolor/64x64/apps" RENAME kshutdown.png)
install(FILES hi128-app-kshutdown.png DESTINATION "${ICON_INSTALL_DIR}/hicolor/128x128/apps" RENAME kshutdown.png)
# TODO: SVG

=== debian/changelog ===
kshutdown (5.2-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:23 +1100

kshutdown (5.2-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:20:49 +0000

kshutdown (5.2-2) unstable; urgency=low

  * Using new PT translation (Closes: #1019850)

 -- Eike Sauer <eike@debian.org>  Sun, 04 Dec 2022 20:05:00 +0100

kshutdown (5.2-1) NOTUPLOADED; urgency=low

  * New upstream release

 -- Eike <eike@debian.org> 

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kshutdown
 Section: kde
 Priority: optional
-Maintainer: Eike Sauer <eike@debian.org>
-Build-Depends: cmake, debhelper (>=9), extra-cmake-modules, libkf5config-dev, libkf5configwidgets-dev, libkf5plasma-dev, libkf5globalaccel-dev, libkf5idletime-dev, libkf5notifications-dev, libkf5notifyconfig-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eike Sauer <eike@debian.org>
+Build-Depends: cmake (>=3.16), debhelper (>=10), extra-cmake-modules, libkf5idletime-dev, libkf5notifications-dev, libkf5notifyconfig-dev, libkf5crash-dev
 Standards-Version: 3.9.8
 Homepage: http://kshutdown.sourceforge.net/

=== debian/watch ===
version=3

http://sf.net/kshutdown/kshutdown-source-(.\..).zip debian uupdate

## kshutdown 6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kshutdown)

set(CMAKE_CXX_STANDARD 17) # adds -std=gnu++17 option
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=0x050F00)
add_definitions(-Wextra -Wpedantic -Wswitch-enum)

if (KS_FORCE_KF5)
	message(STATUS "Forcing KF5 and Qt 5.x")
else()
	find_package(Qt6 COMPONENTS Widgets DBus)
endif()

if (Qt6_FOUND)
	message(STATUS "Qt 6.x found")
else()
	message(STATUS "Qt 6.x NOT found. Trying Qt 5.x instead")

	find_package(Qt5 5.15 REQUIRED COMPONENTS Widgets DBus)
endif()

if(KS_PURE_QT)
	add_definitions(-DKS_PURE_QT)

	set(DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share)
	set(ICON_INSTALL_DIR ${DATA_INSTALL_DIR}/icons)
	set(XDG_APPS_INSTALL_DIR ${DATA_INSTALL_DIR}/applications)
# TODO: https://cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
else()
	add_definitions(-DKS_KF5)

	find_package(ECM REQUIRED NO_MODULE)
	set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

	include(KDEInstallDirs)
	include(KDECompilerSettings)
# TODO: include(KDEFrameworkCompilerSettings) (?)
	include(KDECMakeSettings)

	if (Qt6_FOUND)
		# NOTE: for compatibility with KF5 (used in {po,src}/CMakeLists.txt)
		set(ICON_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR})
		set(LOCALE_INSTALL_DIR ${KDE_INSTALL_FULL_LOCALEDIR})
		set(KNOTIFYRC_INSTALL_DIR ${KDE_INSTALL_FULL_KNOTIFYRCDIR})
		set(XDG_APPS_INSTALL_DIR ${KDE_INSTALL_FULL_APPDIR})

		find_package(KF6 REQUIRED COMPONENTS
			Config
			ConfigWidgets
			CoreAddons
			Crash
			DBusAddons
			GlobalAccel
			I18n
			IdleTime
			Notifications
			NotifyConfig
			StatusNotifierItem
			XmlGui
		)
	endif()

	if (Qt5_FOUND)
		find_package(KF5 REQUIRED COMPONENTS
			Config
			ConfigWidgets
			Crash
			DBusAddons
			GlobalAccel
			I18n
			IdleTime
			Notifications
			NotifyConfig
			XmlGui
		)
	endif()

	add_subdirectory(po)
endif()

include(FeatureSummary)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(src)

=== po/CMakeLists.txt ===
###############################################################################
# WE NEED GETTEXT
##############################################################################
MESSAGE ( STATUS "<Locating Gettext>" )
FIND_PACKAGE ( Gettext REQUIRED )
INCLUDE_DIRECTORIES ( ${GETTEXT_INCLUDE_DIR} )
FILE ( GLOB _po_files *.po )
SET ( _gmoFiles )
###############################################################################
# CREATE .MO FOR EACH .PO
###############################################################################
FOREACH ( _current_PO_FILE ${_po_files} )
	GET_FILENAME_COMPONENT( _lang ${_current_PO_FILE} NAME_WE )
	SET( _gmoFile ${CMAKE_BINARY_DIR}/po/${_lang}.mo )
	add_custom_command( OUTPUT ${_gmoFile}
		COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
		DEPENDS ${_current_PO_FILE}
	)
	INSTALL ( FILES ${CMAKE_BINARY_DIR}/po/${_lang}.mo
		DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME kshutdown.mo )
	LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})
###############################################################################

=== src/CMakeLists.txt ===

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(kshutdown_SRC
	bookmarks.cpp
	commandline.cpp
	config.cpp
	fileshortcut.cpp
	infowidget.cpp
	kshutdown.cpp
	log.cpp
	main.cpp
	mainwindow.cpp
	mod.cpp
	password.cpp
	plugins.cpp
	preferences.cpp
	progressbar.cpp
	udialog.cpp
	ulabel.cpp
	usystemtray.cpp
	utils.cpp
	actions/bootentry.cpp
	actions/extras.cpp
	actions/lock.cpp
	actions/test.cpp
	actions/unlock.cpp
	triggers/datetime.cpp
	triggers/filemonitor.cpp
	triggers/idlemonitor.cpp
	triggers/processmonitor.cpp
)

add_executable(kshutdown ${kshutdown_SRC} ${kshutdown_MOC_SOURCES} kshutdown.qrc)

set(ks_libs)

list(APPEND ks_libs
	Qt::DBus
	Qt::Widgets
)

if (KF6_FOUND)
	list(APPEND ks_libs
		KF6::ConfigCore
		KF6::ConfigWidgets
		KF6::CoreAddons
		KF6::Crash
		KF6::DBusAddons
		KF6::GlobalAccel
		KF6::I18n
		KF6::IdleTime
		KF6::Notifications
		KF6::NotifyConfig
		KF6::StatusNotifierItem
		KF6::XmlGui
	)
endif()

if (KF5_FOUND)
	list(APPEND ks_libs
		KF5::ConfigCore
		KF5::ConfigWidgets
		KF5::Crash
		KF5::DBusAddons
		KF5::GlobalAccel
		KF5::I18n
		KF5::IdleTime
		KF5::Notifications
		KF5::NotifyConfig
		KF5::XmlGui
	)
endif()

target_link_libraries(kshutdown ${ks_libs})

# TODO: create symlink to "kshutdown-qt" for compat. with Qt5 Build (?)
install(TARGETS kshutdown DESTINATION bin)
install(FILES kshutdown.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

if(KS_KF5)
	install(FILES kshutdown.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
endif()

add_subdirectory(actions)
add_subdirectory(images)
add_subdirectory(triggers)

=== debian/changelog ===
kshutdown (6.0-2) unstable; urgency=medium

  * Switching to KDE 6 (Closes: #1121354)
  * Updates Portugues translation - many thanks to Américo Monteiro (Closes: #1118396)

 -- Eike Sauer <eike@debian.org>  Sat, 26 Nov 2025 12:12:00 +0100

kshutdown (6.0-1) unstable; urgency=medium

  * New upstream release
  * New upstream source compiles with CMake 4 (Closes: #1113087)
  * Fixed some issues reported by lintian
  * Bumped standards version
  * Portuguese patch didn't fit anymore, had to remove it.

 -- Eike Sauer <eike@debian.org>  Sat, 13 Sep 2025 16:31:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kshutdown
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eike Sauer <eike@debian.org>
-Build-Depends: cmake (>=3.16), debhelper (>=10), extra-cmake-modules, libkf5idletime-dev, libkf5notifications-dev, libkf5notifyconfig-dev, libkf5crash-dev
-Standards-Version: 3.9.8
+Maintainer: Eike Sauer <eike@debian.org>
+Build-Depends: cmake (>=3.16), debhelper (>=10), extra-cmake-modules, qt6-base-dev, libkf6coreaddons-dev, libkf6configwidgets-dev, libkf6crash-dev, libkf6dbusaddons-dev, libkf6globalaccel-dev, libkf6idletime-dev, libkf6notifications-dev, libkf6notifyconfig-dev, libkf6statusnotifieritem-dev, libkf6xmlgui-dev
+Standards-Version: 4.6.2
 Homepage: http://kshutdown.sourceforge.net/
 
 Package: kshutdown

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DKS_KF6=true
